diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/helper/gnuplot-helper.cc ns-3.43/src/stats/helper/gnuplot-helper.cc
--- ns-3.42/src/stats/helper/gnuplot-helper.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/helper/gnuplot-helper.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/helper/gnuplot-helper.h ns-3.43/src/stats/helper/gnuplot-helper.h
--- ns-3.42/src/stats/helper/gnuplot-helper.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/helper/gnuplot-helper.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/average.h ns-3.43/src/stats/model/average.h
--- ns-3.42/src/stats/model/average.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/average.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pavel Boyko <boyko@iitp.ru>
  * Corrections and extensions: Timo Bingmann <tbns@idlebox.net>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/basic-data-calculators.h ns-3.43/src/stats/model/basic-data-calculators.h
--- ns-3.42/src/stats/model/basic-data-calculators.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/basic-data-calculators.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/boolean-probe.cc ns-3.43/src/stats/model/boolean-probe.cc
--- ns-3.42/src/stats/model/boolean-probe.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/boolean-probe.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/boolean-probe.h ns-3.43/src/stats/model/boolean-probe.h
--- ns-3.42/src/stats/model/boolean-probe.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/boolean-probe.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-calculator.cc ns-3.43/src/stats/model/data-calculator.cc
--- ns-3.42/src/stats/model/data-calculator.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-calculator.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-calculator.h ns-3.43/src/stats/model/data-calculator.h
--- ns-3.42/src/stats/model/data-calculator.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-calculator.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-collection-object.cc ns-3.43/src/stats/model/data-collection-object.cc
--- ns-3.42/src/stats/model/data-collection-object.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-collection-object.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Tiago G. Rodrigues (tgr002@bucknell.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-collection-object.h ns-3.43/src/stats/model/data-collection-object.h
--- ns-3.42/src/stats/model/data-collection-object.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-collection-object.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Tiago G. Rodrigues (tgr002@bucknell.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-collector.cc ns-3.43/src/stats/model/data-collector.cc
--- ns-3.42/src/stats/model/data-collector.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-collector.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-collector.h ns-3.43/src/stats/model/data-collector.h
--- ns-3.42/src/stats/model/data-collector.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-collector.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-output-interface.cc ns-3.43/src/stats/model/data-output-interface.cc
--- ns-3.42/src/stats/model/data-output-interface.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-output-interface.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/data-output-interface.h ns-3.43/src/stats/model/data-output-interface.h
--- ns-3.42/src/stats/model/data-output-interface.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/data-output-interface.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/double-probe.cc ns-3.43/src/stats/model/double-probe.cc
--- ns-3.42/src/stats/model/double-probe.cc	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/double-probe.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/double-probe.h ns-3.43/src/stats/model/double-probe.h
--- ns-3.42/src/stats/model/double-probe.h	2024-05-29 15:29:47.172073600 -0700
+++ ns-3.43/src/stats/model/double-probe.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: L. Felipe Perrone (perrone@bucknell.edu)
  *          Tiago G. Rodrigues (tgr002@bucknell.edu)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/file-aggregator.cc ns-3.43/src/stats/model/file-aggregator.cc
--- ns-3.42/src/stats/model/file-aggregator.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/file-aggregator.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/file-aggregator.h ns-3.43/src/stats/model/file-aggregator.h
--- ns-3.42/src/stats/model/file-aggregator.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/file-aggregator.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: L. Felipe Perrone (perrone@bucknell.edu)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/get-wildcard-matches.cc ns-3.43/src/stats/model/get-wildcard-matches.cc
--- ns-3.42/src/stats/model/get-wildcard-matches.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/get-wildcard-matches.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/get-wildcard-matches.h ns-3.43/src/stats/model/get-wildcard-matches.h
--- ns-3.42/src/stats/model/get-wildcard-matches.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/get-wildcard-matches.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/gnuplot-aggregator.cc ns-3.43/src/stats/model/gnuplot-aggregator.cc
--- ns-3.42/src/stats/model/gnuplot-aggregator.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/gnuplot-aggregator.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/gnuplot-aggregator.h ns-3.43/src/stats/model/gnuplot-aggregator.h
--- ns-3.42/src/stats/model/gnuplot-aggregator.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/gnuplot-aggregator.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Bucknell University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: L. Felipe Perrone (perrone@bucknell.edu)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/gnuplot.cc ns-3.43/src/stats/model/gnuplot.cc
--- ns-3.42/src/stats/model/gnuplot.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/gnuplot.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA, 2008 Timo Bingmann
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Enhancements: Timo Bingmann <timo.bingmann@student.kit.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/gnuplot.h ns-3.43/src/stats/model/gnuplot.h
--- ns-3.42/src/stats/model/gnuplot.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/gnuplot.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INRIA, 2008 Timo Bingmann
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Original Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  * Enhancements: Timo Bingmann <timo.bingmann@student.kit.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/histogram.cc ns-3.43/src/stats/model/histogram.cc
--- ns-3.42/src/stats/model/histogram.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/histogram.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Pedro Fortuna  <pedro.fortuna@inescporto.pt> <pedro.fortuna@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/histogram.h ns-3.43/src/stats/model/histogram.h
--- ns-3.42/src/stats/model/histogram.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/histogram.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2009 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Pedro Fortuna  <pedro.fortuna@inescporto.pt> <pedro.fortuna@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/omnet-data-output.cc ns-3.43/src/stats/model/omnet-data-output.cc
--- ns-3.42/src/stats/model/omnet-data-output.cc	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/omnet-data-output.cc	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/stats/model/omnet-data-output.h ns-3.43/src/stats/model/omnet-data-output.h
--- ns-3.42/src/stats/model/omnet-data-output.h	2024-05-29 15:29:47.176073800 -0700
+++ ns-3.43/src/stats/model/omnet-data-output.h	2024-10-09 16:41:10.092656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Drexel University
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Joe Kopena (tjkopena@cs.drexel.edu)
  */
